<?php
define('_IN_JOHNCMS', 1);
require_once('../incfiles/core.php');
$set_znak = unserialize($set['znak']);

$sql = mysql_query("select * from users where id='$user_id'");
$row = mysql_fetch_assoc($sql);

$headmod = $id ? 'znak,' . $id : 'znak';
// Заголовки Знакомств
if (empty($id))
{
    $textl = '' . $copyright . ' - Знакомства';
}
require_once('../incfiles/head.php');
switch ($mod)
{   
    default:
    // Если знакомства закрыты, то для Админов выводим напоминание
    if (!$set['mod_znak']) echo '<p class="rmenu"><b>Знакомства закрыты!</b></p>';
    echo '<div class="bmenu"><b>Знакомства</b></div>
    <div><img src="' . $home . '/images/act3.gif" width="7" height="10" alt="-" /> <a href="top_new.php">Новые анкеты</a><br />
	<img src="' . $home . '/images/act3.gif" width="7" height="10" alt="-" /> <a href="top_pop.php">ТОП Популярных</a></div>';
    $reqm = mysql_query("SELECT `id`, `name`, `sex`, `age`, `live`, `lastdate`, `datereg`, `statusik`, `statusik_img`, `rights`, `ip`, `browser`, `rights` FROM `users` WHERE `preg` = 1 AND `sex` = 'm' ORDER BY `bals` DESC LIMIT 1");
    while ($resm = mysql_fetch_assoc($reqm)) {
        echo '<div class="list1">Лучший парень:<br/>';
        echo show_user($resm, 1, (($rights > 1) ? 2 : 0)) . '</div>';
    }
    $req = mysql_query("SELECT `id`, `name`, `sex`, `age`, `live`, `lastdate`, `datereg`, `statusik`, `statusik_img`, `rights`, `ip`, `browser`, `rights` FROM `users` WHERE `preg` = 1 AND `sex` = 'zh' ORDER BY `bals` DESC LIMIT 1");
    while ($res = mysql_fetch_assoc($req)) {
        echo '<div class="list1">Лучшая девушка:<br/>';
        echo show_user($res, 1, (($rights > 1) ? 2 : 0)) . '</div>';
    }
	$mm = mysql_query("SELECT COUNT(*) FROM `users` WHERE `preg` = 1 AND `sex` = 'm' ");
	$ww = mysql_query("SELECT COUNT(*) FROM `users` WHERE `preg` = 1 AND `sex` = 'zh' ");
	$t = mysql_result($mm, 0);
	$tt = mysql_result($ww, 0);
	echo '<div><img src="' . $home . '/znak/img/mm.gif" width="14" height="15" alt="-" /> <a href="' . $home . '/znak/boys.php">Всего парней</a> [' . $t . ']<br />';
	echo '<img src="' . $home . '/znak/img/ww.gif" width="10" height="16" alt="-" /> <a href="' . $home . '/znak/girls.php">Всего девушек</a> [' . $tt . ']</div>';
    echo '<div class="ffmenu"><img src="/znak/img/poisk.png" /> Поиск анкет:</div>';
    echo '<div><form action="poisk.php" method="post">';
    echo 'Ищу: <select name="sex">';
    echo ($row['sex'] == 'm' ? '<option value="zh">Девушку</option><option value="m">Парня</option>' : '<option value="m">Парня</option><option value="zh">Девушку</option>');
    echo '</select>';
    echo '<br />В возрасте:<br />От <input type="text" maxlength="2" size="2" name="age_ot"/> До <input type="text" maxlength="2" size="2" name="age_do"/>';
    echo '<br />Город:<br /><input type="text" name="live"/>';
    echo '<br /><input type="checkbox" name="photo" value="1" /> с фото<br/><input type="checkbox" name="online" value="1" /> сейчас онлайн<br/><input type="checkbox" name="new" value="1" /> только новые<br/>';
    echo '<input type="hidden" name="new_poisk" value="new"/>';
    echo '<input type="submit" value="Искать"/>';
    echo '</form></div>';
    break;
}
require_once("../incfiles/end.php");
?>